<ng-container *ngIf = "_reload">
<app-top-menu (loggedOut) = "UsrLoggedOut($event)" ></app-top-menu> 
<br><br>


<div class="frame" *ngIf = "url">
    <img src = {{url}}>  <!--prikazuje sliku kada se odabere-->
</div>

<!--Upload section:-->
<div *ngIf = "submited" style="text-align: center; margin-top: 15px;"><b>Photo is uploading to server, please wait . . .</b></div>

<form *ngIf = "!submited" #uploadForm = "ngForm" (ngSubmit) = "onSubmit(uploadForm)">   
    <label><b>Upload image:<span class="required">*</span></b></label>
    <div class="input-group mb-3">
        <div class="custom-file">        
            <input 
                type="file"
                class="custom-file-input" 
                id="profilePic" 
                (change) = "onChangeEvent($event)" 
                name = "profilePic"
                ngModel
                #file = "ngModel"
                required>
                <label *ngIf = "!url" class="custom-file-label" for="">Choose file</label>
                <label *ngIf = "url" class="custom-file-label" for="">{{fileName}}</label>
        </div>

    </div>
    <div class="alert alert-danger" role="alert" *ngIf="msg">{{msg}}</div>  <!--poruka da nije odabrana slika, staviti novi red na pocetak poruke-->
    <div class="alert alert-danger" role="alert" *ngIf = "file.errors?.required && (file.touched || submitTouched )" >Image is required</div>

    <br>
    <!--Description section:-->
    <div class="form-group">
        <label><b>Title:<span class="required">*</span></b></label>
        <input 
            type="text" 
            class="form-control" 
            id="imageName" 
            placeholder="Enter picture title" 
            [(ngModel)] = "photoName" 
            name="imageName"
            maxlength="255"
            required
            #title = "ngModel">
    </div>
    <div class="alert alert-danger" role="alert" *ngIf = "title.errors?.required && (title.touched || submitTouched)"  >*Title is required</div>
    <div class="alert alert-danger" role="alert" *ngIf = "title.errors?.maxlength && (title.touched || loginTouched )" >*Title must be shorter then 255 characters</div>
    <br>
    <div class="form-group">
        <label><b>Description:<span class="required"></span></b></label>
        <input type="text" class="form-control" id="" placeholder="Enter description of the picture" [(ngModel)] = "descr" name="description">
        <small class="form-text text-muted">Just be creative :)</small>
    </div>
    <br>
    <!--Category options:-->
    <label><b>Categories:<span class="required">*</span></b></label>
    <div *ngFor = "let cat of categories" id="categories">
        <input type="radio" [(ngModel)]="category" [value]="cat" [ngModelOptions]="{standalone: true}"> {{cat}}
    </div>

    <!--Toggle switch:-->
    <table>
        <tr>
            <td>Public</td>
            <td>
                <label class="switch">
                    <input type="checkbox" [(ngModel)] = "isPrivate"  name="isPublic">
                    <span class="slider round"></span>
                </label>
            </td>
            <td>Private</td>
        </tr>
    </table>

    <div class="mx-auto">
        <button style="margin-right: 10px;" type="submit" value="Submit" class="btn btn-outline-success">Submit image</button>
        <button style="margin-right: 10px;" type="reset" (click) = "OnReset()" value="Reset" class="btn btn-outline-danger">Cancel</button>
    </div>
    
</form>
</ng-container>
